GNU bug report logs - #60913
[PATCH 16/25] gnu: Add go-github-com-google-go-cmdtest.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; Keywords: patch; merged with #60898, #60899, #60900, #60901, #60902, #60903, #60904, #60905, #60906, #60907, #60908, #60909, #60910, #60911, #60912, #60914, #60915, #60916, #60917, #60918, #60919, #60920, #60921, #60922; dated Wed, 18 Jan 2023 01:46:11 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Katherine Cox-Buday <cox.katherine.e@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2023 01:45:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 20:45:55 2023
Received: from localhost ([127.0.0.1]:38635 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHxWV-0007XH-E3
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:55 -0500
Received: from lists.gnu.org ([209.51.188.17]:44470)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1pHxW3-0007UE-I0
 for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:29 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW3-000288-71
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:27 -0500
Received: from mail-il1-x131.google.com ([2607:f8b0:4864:20::131])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW0-0006yZ-LH
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:26 -0500
Received: by mail-il1-x131.google.com with SMTP id h26so16365528ila.11
 for <guix-patches@HIDDEN>; Tue, 17 Jan 2023 17:45:24 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=aQBMGX856eRPszlxOcPnDra+490ppCvBFs5RswhkijU=;
 b=f+ZjmHb/MkP5D1XbD8HPeSP9ymkw9fd7ISxI2K6kbRleX1QRi+SDaFiGFtfxYDFilt
 0bn7s5vz8T7c+Ah0kLqiFIp5ZLrl0pkISdZumuSKiIyPMSCG5mP4/clHX0Yoad6EdGiR
 WmmHppCH3YpnWqy3X/YeHnEBO4iaEbvhktbUyAYiSeVxxhJtjO3xeWHdjrF2jxXCDg5P
 f/RNvbs3moYu0AnvaLrAPHCYPUZgYpORA0T9Ypz6I0j23uvklid1oBEAlZTO+8CIej+c
 sNjFoIsx4akO/URNnCpTKFp0u0AVz8RyEWz24vR4u8wHjhbpljDdPYbp23jfTkrB5Dov
 csWw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=aQBMGX856eRPszlxOcPnDra+490ppCvBFs5RswhkijU=;
 b=wrH1VA2hH21d4V1BfWeOh8QIHcQ7BreHHvX45SLkE73URwLzkkaSc9XRzrzZuOLn/e
 /lLz3DMv5MDYGgiZDYIGGwVvJCD+8BB3a9h+U5Sb0/zEfZp1tZPOTYjH2MSYaZo/cuYB
 tQ0AQr7R4ZAhxnY2frXQXyeW15KFhiy4cN5wrl1iaeIN3jkbyIIraxjl/2Q2+LpgpwTv
 itfKVx/Q08rc0ZjPaA3vBkcsn0WhqHX1U6ZdIgrAcJ3Gk0MqZMqlFQgp8IuVaGEdVAtJ
 UThtaNLg2aIskKhpAZskUzWv0zuZGA2twdJm2eRXUpL6OUWKbwhVjVEfby2rDW9fAd0s
 tzjA==
X-Gm-Message-State: AFqh2krtlg/s7/0cz1AxcF4IQJnpIuAltR/eyAvKtMHV7x1w6J5aH/kz
 IpKgxfh+X5Eqb2f5zazIYY/AGcGwz3g=
X-Google-Smtp-Source: AMrXdXsJL+yLNv3twz7nsj7RLlN0SmUdfD4QD4JihswT576VYBA1IpHfS/0ZY2NHn/ID/C8jRR+ttA==
X-Received: by 2002:a05:6e02:505:b0:30e:e3c2:d995 with SMTP id
 d5-20020a056e02050500b0030ee3c2d995mr4175239ils.8.1674006324029; 
 Tue, 17 Jan 2023 17:45:24 -0800 (PST)
Received: from washu-v4.home.cox-buday.com
 (c-174-51-139-101.hsd1.co.comcast.net. [174.51.139.101])
 by smtp.gmail.com with ESMTPSA id
 p32-20020a056638192000b0039e89ea68f9sm7889250jal.135.2023.01.17.17.45.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Jan 2023 17:45:23 -0800 (PST)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 16/25] gnu: Add go-github-com-google-go-cmdtest.
Date: Tue, 17 Jan 2023 18:45:01 -0700
Message-Id: <20230118014510.19320-17-cox.katherine.e@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
References: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::131;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-il1-x131.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/golang.scm (go-github-com-google-go-cmdtest): New variable.
---
 gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index fe45b29215..ced6438581 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -11044,6 +11044,35 @@ (define-public go-github-com-google-go-jsonnet
 implementation.")
     (license license:asl2.0)))
 
+(define-public go-github-com-google-go-cmdtest
+  (let ((commit "55ab3332a786118933ddf71544aae14951ba9bc5")
+        (revision "0"))
+    (package
+      (name "go-github-com-google-go-cmdtest")
+      (version (git-version "0.4.0" revision commit))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "https://github.com/google/go-cmdtest")
+                      (commit commit)))
+                (file-name (git-file-name name version))
+                (sha256
+                 (base32
+                  "10kswvbdwissjb5mr0ys4b3ppxkxlpklqg7cr2z7rv21g2vwczbl"))))
+      (build-system go-build-system)
+      (arguments
+       '(#:import-path "github.com/google/go-cmdtest"))
+      (propagated-inputs (list go-github-com-google-renameio
+                               go-github-com-google-go-cmp-cmp))
+      (home-page "https://github.com/google/go-cmdtest")
+      (synopsis "Testing your CLI")
+      (description
+       "The cmdtest package simplifies testing of command-line interfaces.  It provides
+a simple, cross-platform, shell-like language to express command execution.  It
+can compare actual output with the expected output, and can also update a file
+with new \"golden\" output that is deemed correct.")
+      (license license:asl2.0))))
+
 (define-public go-github-com-google-safehtml
   (package
     (name "go-github-com-google-safehtml")
-- 
2.38.1





Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60913; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Jan 2023 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.